import sys
from collections import namedtuple
from unittest.mock import MagicMock

import pytest

DomainUser = namedtuple("DomainUser", ["domain", "username"])


@pytest.fixture(scope="module")
def local_user():
    return DomainUser("TEST-DOMAIN", "localuser")


@pytest.fixture(scope="module")
def patch_win32api_get_user_name(local_user):
    win32api = MagicMock()
    win32api.GetUserNameEx = MagicMock(return_value=f"{local_user.domain}\\{local_user.username}")
    win32api.NameSamCompatible = None

    sys.modules["win32api"] = win32api
